%global oname javax.persistence
%global namedreltag .v201304241213
%global namedversion %{version}%{?namedreltag}
%global api_version 2.1
Name:          eclipselink-persistence-api
Version:       2.1.0
Release:       4%{?dist}
Summary:       JPA 2.1 Spec OSGi Bundle
License:       EPL and ASL 2.0
URL:           http://www.eclipse.org/eclipselink/
#Source0:       https://github.com/eclipse/javax.persistence/archive/%%{namedversion}.tar.gz
Source0:       http://git.eclipse.org/c/eclipselink/javax.persistence.git/snapshot/%{oname}-%{namedversion}.tar.xz
Source1:       eclipse-javax.persistence-template.pom.xml

BuildRequires: java-javadoc
BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.eclipse.osgi:org.eclipse.osgi)

BuildArch:     noarch

%description
EclipseLink definition of the Java Persistence 2.1 API.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{namedversion}

cp -p %{SOURCE1} pom.xml
sed -i "s|@VERSION@|%{version}|" pom.xml
sed -i "s|@API_VERSION@|%{api_version}|" pom.xml
sed -i "s|@IMPL_VERSION@|%{namedversion}|" pom.xml

cp -p resource/{about,license,readme}.html .

mkdir -p target/classes
rm -r META-INF/MANIFEST.MF
mv META-INF target/classes/

# fix non ASCII chars
for s in src/javax/persistence/EntityManager.java\
  src/javax/persistence/MapsId.java;do
  native2ascii -encoding UTF8 ${s} ${s}
done

%mvn_file :%{oname} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc about.html changes readme.html changes readme.txt
%license license.html

%files javadoc -f .mfiles-javadoc
%license license.html readme.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 04 2015 gil cattaneo <puntogil@libero.it> 2.1.0-1
- update to 2.1.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb 01 2015 gil cattaneo <puntogil@libero.it> 2.0.5-4
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.0.5-2
- Use Requires: java-headless rebuild (#1067528)

* Tue Jul 16 2013 gil cattaneo <puntogil@libero.it> 2.0.5-1
- update to 2.0.5

* Mon Jul 16 2012 gil cattaneo <puntogil@libero.it> 2.0.4-1
- initial rpm
